Info<< "Reading field U\n" << endl;

volVectorField U
(
     IOobject
         (
	    "U",
         runTime.timeName(),
		 "/Weights",
	     mesh,
         IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	  ),
	     mesh
	     );

Info<< "Reading field A\n" << endl;

volScalarField A1
(
    IOobject
    (
        "A1",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

volScalarField A2
(
    IOobject
    (
        "A2",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);


Info<< "Reading transportProperties\n" << endl;

volScalarField alfa1
(
     IOobject
         (
	   "alfa1",
       runTime.timeName(),
	    "/Weights",
       mesh,
	   IOobject::MUST_READ,
       IOobject::AUTO_WRITE		
	 ),
	     mesh
);

volScalarField gamma1
(
     IOobject
         (
	   "gamma1",
	   runTime.timeName(),
	    "/Weights",
	   mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField eta1
(
     IOobject
         (
	    "eta1",
	    runTime.timeName(),
		 "/Weights",
	    mesh,
	    IOobject::MUST_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField delta1
(
     IOobject
         (
	     "delta1",
	     runTime.timeName(),
		  "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField beta1
(
     IOobject
         (
	     "beta1",
	     runTime.timeName(),
		  "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField alfa2
(
     IOobject
         (
	   "alfa2",
           runTime.timeName(),
		    "/Weights",
           mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE		
	 ),
	     mesh
);

volScalarField gamma2
(
     IOobject
         (
	   "gamma2",
	   runTime.timeName(),
	    "/Weights",
	   mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField eta2
(
     IOobject
         (
	    "eta2",
	    runTime.timeName(),
		 "/Weights",
	    mesh,
	    IOobject::MUST_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField delta2
(
     IOobject
         (
	     "delta2",
	     runTime.timeName(),
		  "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField beta2
(
     IOobject
         (
	     "beta2",
	     runTime.timeName(),
		  "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField AA
(
     IOobject
         (
	     "AA",
	     runTime.timeName(),
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField A1_int
(
     IOobject
         (
	     "A1_int",
	     runTime.timeName(),
	     mesh,
	     IOobject::NO_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField A2_int
(
     IOobject
         (
	     "A2_int",
	     runTime.timeName(),
	     mesh,
	     IOobject::NO_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField AA_int
(
     IOobject
         (
	     "AA_int",
	     runTime.timeName(),
	     mesh,
	     IOobject::NO_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);


volScalarField fi1_nisf1_y
(
     IOobject
         (
	    "fi1_nisf1_y",
	    runTime.timeName(),
		 "/Weights",
	    mesh,
	    IOobject::NO_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField fi2_nisf2_y
(
     IOobject
         (
	    "fi2_nisf2_y",
	    runTime.timeName(),
		 "/Weights",
	    mesh,
	    IOobject::NO_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField AA0_y
(
     IOobject
         (
	    "AA0_y",
	    runTime.timeName(),
		 "/Weights",
	    mesh,
	    IOobject::NO_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

#include "createPhi.H"
#include "createFvOptions.H"

